<!DOCTYPE html>
<html>
<head>
	<title>Textopic</title>
	<meta charset="utf-8">
	<link rel="stylesheet" type="text/css" href="http://cdn.warriordudimanche.net/helium.css">
	<link rel="icon" type="image/svg" href="http://api.warriordudimanche.net/iconeleon/?i=fontawesome%20solid/bookmark.svg&c=white">
	<style type="text/css">
		html{
			font-family: Arial Rounded MT Bold,Helvetica Rounded,Arial,sans-serif; 
			min-width: 320px;
			--theme_color:#3cc5f1;
		}
		header{
			background:var(--theme_color);
			color:white;
			padding:2em;
		}
		header h1{
			font-size:32px;
			max-width: 1200px;
			margin:1em auto;
			padding-left:15px;
		}
		header img{
			height:28px;
			width:auto;
		}
		main{
			max-width: 1200px;
			margin:1em auto;
			padding:15px;
		}
			form>div{
				margin-top:15px;
			}
			label{
				display:block;
				font-size:16px;
			}
			input[type=text],textarea,
			input[type=text]:focus,textarea:focus
			{
				width:100%;
				padding:10px;
				font-size:1.3em;
				border-width: 2px;
			}
			textarea{
				min-height:128px;
				resize:vertical;
				padding:10px;
				font-size:1.3em;
			}

			.icon{height:16px;width:auto;}
			form button{
				color:white;
			}
			div.right{
				display:flex;
				flex-direction: row-reverse;
			}
			form a.btn,form a.btn:hover{background: transparent;border: none}
			#render img{
				display:block;
				margin:auto;
				min-width:64px;
				min-height: 64px;
				width:100%;
				height: auto;
			}
			input[type="radio"]+label{
				display:block;
				width:100%;
				height:48px;
				border-radius: 3px;
				border: 1px solid transparent;
				opacity:0.8;
			}
			input:disabled+label{
				opacity:0.1;
			}
			input[type="radio"]:checked+label{
				opacity:1;
				border-color:rgba(0,0,0,0.5);
			}
			input[type="radio"]+label:hover{
				opacity:1;
				cursor: pointer;
			}
			input[type="radio"]:disabled+label:hover{
				opacity:0.1;
				cursor: initial;
			}
			header small{
				display:block;
				text-align: right;
			}
	</style>
</head>
<body style="--theme_color:#999">
<header>
	<h1><img src="http://api.warriordudimanche.net/iconeleon/?i=fontawesome%20solid/bookmark.svg&c=white"/> Textopic</h1>
	<small>v<?php echo VERSION ?></small>
</header>
<main>
	<form action="" method="get" target="_BLANK">
		<div>
			<label>
				*Texte 
			</label>
			<textarea name="t" required="true" ></textarea>
		</div>
		<div>
			<label>
				Police 
			</label>
			<select name="f">
				<?php
					$fontlist=glob('fonts/*.ttf');
					foreach ($fontlist as $font) {
						$f=str_replace('.ttf','',basename($font));
						echo '<option value="'.$f.'">'.$f.'</option>'."\n";
					}
				?>
			</select>
		</div>
		<div>
			<label>
				Taille de police 
			</label>
			<select name="fs">
				<option value="32">32</option>
				<option value="48">48</option>
				<option value="64">64</option>
				<option value="96">96</option>
				<option value="128">128</option>
				<option value="256">256</option>
			</select>
		</div>
		<div>
			<label><input type="checkbox" name="vertical"> Vertical</label>			
		</div>
		<div >
			<label>
				Couleur (fac.) 
			</label>
			<input type="text" name="c" placeholder="FFF ou FFFFFF format"/>
		</div>

		<div class="columns2">
			<div>
				<a class="btn" href="" title="tout effacer"><img class="icon" src="http://api.warriordudimanche.net/iconeleon/?i=fontawesome%20solid/trash-alt.svg&c=red"></a>
			</div>
			<div class="right">				
				<button class="information" name="download"><img class="icon" src="http://api.warriordudimanche.net/iconeleon/?i=fontawesome%20solid/cloud-download-alt.svg&c=white" title="Télécharger ce graphique sur cet appareil"/> Télécharger</button>
				<button class="important" name="render"><img class="icon" src="http://api.warriordudimanche.net/iconeleon/?i=elusive/eye-open.svg&c=white" title="Voir ce graphique"/> Visualiser</button>
				
			</div>
		</div>
	</form>
	<hr/>
	<div id="render">
		<img src="http://api.warriordudimanche.net/iconeleon/?i=elusive/picture.svg&c=rgba(0,0,0,0.2)"/>
	</div>

</main>
<script type="text/javascript" src="VanillaJS.js"></script>
<script type="text/javascript">
	
	var textarea=first('textarea');
	var renderpic=first('#render img');
	on('click','button',(e)=>{
		e.preventDefault();
		e.stopPropagation();
		

		// récupération des values
		let fs=first('select[name="fs"]');
		 fs=fs.options[fs.selectedIndex].value;

		let f=first('select[name="f"]');
		 f=f.options[f.selectedIndex].value;

		let vertical=first('input[name="vertical"]').checked==true?'&vertical':'';

		let t=textarea.value;
		t=t.replace(/[\n]/g,'\\n');
		let c=first('input[name="c"]');
		let action=e.target.name;

		if (c){c='&c='+c.value;}else{c='';}

		params='index.php?t='+t+'&fs='+fs+"&f="+f+vertical+c;


		if (action=="render"){
			params+="&dontsave&force";
			renderpic.src=params
			console.log(params);
		}else{
			params+="&force";
			a=document.createElement('a');
			a.setAttribute('download',t+" "+Date.now()+".jpg");
			Object.assign(a, { target: '_blank', href: params}).click();
			
		}
		
		
	})
</script>
</body>
</html>